Telegram APIAccount
account.updatePasswordSettings
Set a new 2FA password
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Set a new 2FA password
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.updatePasswordSettings" \ -H "Content-Type: application/json" \ -d '{ "params": { "password": { "_": "inputCheckPasswordEmpty" }, "newSettings": { "_": "account.passwordInputSettings" } } }'{ "result": true}updateNotifySettings
Edits notification settings from a given user/group, from all users/all groups.
updatePersonalChannel
Associate (or remove) a personal [channel »](https://core.telegram.org/api/channel), that will be listed on our personal [profile page »](https://core.telegram.org/api/profile#personal-channel). Changing it will emit an `RawUpdateUser` update.